/**
 * The contents of this file are subject to the OpenMRS Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://license.openmrs.org
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * Copyright (C) OpenMRS, LLC.  All Rights Reserved.
 */

package org.openmrs.module.kenyaemr.fragment.controller.header;

import org.openmrs.module.kenyacore.CoreContext;
import org.openmrs.ui.framework.annotation.SpringBean;
import org.openmrs.ui.framework.fragment.FragmentModel;

/**
 * System header - used to display a system wide error message
 */
public class SystemHeaderFragmentController {
	
	public void controller(FragmentModel model, @SpringBean CoreContext emr) {
		String systemMessage = null;

		if (!emr.isRefreshed()) {
			systemMessage = "System did not properly load. Please inform a system administrator immediately.";
		}

		model.put("systemMessage", systemMessage);
	}
}